# QTranslator Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QTranslator(QObject parent)

### Constructor Properties

- prototype: The QTranslator prototype object

### Prototype Object Properties

The QTranslator prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool isEmpty()
- bool load(QLocale locale, String filename, String prefix, String directory, String suffix)
- String translate(char context, char sourceText, char disambiguation)

### Instance Properties

QTranslator objects have no special properties beyond those inherited from the QTranslator prototype object.